# Welcome back

What would you like to browse today?

search
A Search

## Quick Access

# Bookmarks

Your saved websites

# History

Recently visited sites from this profile

history

No browsing history

# Downloads

Your downloaded files

folder_open

No recent downloads

# NeBot AI Assistant

Your AI-powered browsing companion

smart_toy

### Start Conversation

Ask questions, get summaries, and more

A

# Settings

Configure your browser

## Theme Presets

## Display Settings

zoom_in
Display Scale Adjust the default zoom level
100%
desktop_windows
Exit Big Picture Mode Return to standard desktop interface

## Privacy & Data

delete_sweep
Clear Browsing Data Delete cookies, cache, and site data
history
Clear History Delete browsing history
search_off
Clear Search History Delete search query history

## About Nebula Browser

### Nebula Browser

Version loading...
CEF --
Chromium --
Node.js --
Platform --
keyboard Enter text
A Type X Backspace Y Space B Close LB Clear All RB Submit